﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using FiltersDemo4Blog.Models;

namespace FiltersDemo4Blog.Controllers
{
    public class AccountController : Controller
    {
        public ActionResult LogOn()
        {
            if (HttpContext.User.Identity.IsAuthenticated)
                FormsAuthentication.SignOut();
            return View();
        }

        [HttpPost]
        public ActionResult LogOn(LogOnViewModel model)
        {
            if (model.UserName.Trim() == model.Password.Trim())
            {
                if (model.RememberMe)
                    FormsAuthentication.SetAuthCookie(model.UserName, true);
                else
                    FormsAuthentication.SetAuthCookie(model.UserName, false);
                return RedirectToAction("Welcome", "AuthFilters");
            }
            else
                return View(model);
        }

        public ActionResult LogOut()
        {
            return RedirectToAction("LogOn");
        }
    }
}
